package com.hubspot.sprinter;

import com.hubspot.utils.HubSpotIdentifiableObject;

/**
 * Represents a developer like Paul Sutherland or Stephen Huenneke.
 * 
 * @author dabdinoor
 */
public class Developer extends HubSpotIdentifiableObject {
    /** The developer's name. */
    private String name;

    /** The default team for the developer. */
    private Long defaultTeamId;

    /** The default percentage for the developer (i.e. Dan is always discount 20%). */
    private Double defaultPercentage;

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name
     *            the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the defaultTeamId
     */
    public Long getDefaultTeamId() {
        return defaultTeamId;
    }

    /**
     * @param defaultTeamId
     *            the defaultTeamId to set
     */
    public void setDefaultTeamId(Long defaultTeamId) {
        this.defaultTeamId = defaultTeamId;
    }

    /**
     * @return the defaultPercentage
     */
    public Double getDefaultPercentage() {
        return defaultPercentage;
    }

    /**
     * @param defaultPercentage
     *            the defaultPercentage to set
     */
    public void setDefaultPercentage(Double defaultPercentage) {
        this.defaultPercentage = defaultPercentage;
    }
}
