package com.hubspot.sprinter;

import com.hubspot.utils.HubSpotIdentifiableObject;

/**
 * Represents a sprint team like the Red Sox or Eagles.
 * 
 * @author dabdinoor
 */
public class Team extends HubSpotIdentifiableObject {
    /** The team name. */
    private String name;

    /** Average velocity. */
    private Double averageVelocity;

    /** Do we hide this team? */
    private Boolean hide;

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name
     *            the name to set
     */
    public void setName(final String name) {
        this.name = name;
    }

    /**
     * @return the averageVelocity
     */
    public Double getAverageVelocity() {
        return averageVelocity;
    }

    /**
     * @param averageVelocity
     *            the averageVelocity to set
     */
    public void setAverageVelocity(final Double averageVelocity) {
        this.averageVelocity = averageVelocity;
    }

    /**
     * @return the hide
     */
    public Boolean getHide() {
        return hide;
    }

    /**
     * @param hide
     *            the hide to set
     */
    public void setHide(final Boolean hide) {
        this.hide = hide;
    }
}
