<#include "htmlMacros.ftl" />

<#assign action = "developer-save" />
<#assign developerName = "" />
<#assign percentage = "100" />
<#assign team = "" />
<#if (developer?has_content)>
  <#assign developerName = developer.name />
  <#assign percentage = (developer.defaultPercentage * 100)?string("#") />
  <#if (developer.defaultTeamId?has_content)>  
  	<#assign team = developer.defaultTeamId />
  </#if>
  <#assign action = "developer-update" />
</#if>

<@docStart title="Edit Developer" />
  <@s.actionerror />
  <form action="${action}" method="POST">
    <table>
      <#if (id?has_content)>
        <input type="hidden" name="id" value="${id}" />
      </#if>
      
      <@s.textfield name="developerName" value=developerName label="Developer name" />
      <@s.textfield name="percentage" value=percentage label="Default percentage" />
      <@s.select name="teamId" label="Default team" list=teamNames listKey="key" listValue="value" value=team />
      <@s.submit name="Submit" />
    </table>
  </form>
  
  <p class="back">
    <a href="admin">Back to Admin</a>
  </p>
<@docEnd />
