<#include "htmlMacros.ftl" />

<@docStart title="Add ${team.name} to Sprint" />
  <@s.actionerror />
  
  <#if (sprintNames?has_content)>
    <@renderForm />
  <#else>
    <p>All sprints have been added.</p>
  </#if>
  
  <p class="back">
    <a href="view?id=${team.id?c}">Back to ${team.name} Sprints</a>
  </p>
<@docEnd />

<#macro renderForm>
  <form action="sprint-team-save" method="POST">
    <table>
      <input type="hidden" name="id" value="${id}" />
      <@s.select name="sprintId" label="Sprint" list=sprintNames listKey="key" listValue="value" />
      <@s.submit name="Submit" />
    </table>
  </form>
</#macro>