<#include "htmlMacros.ftl" />

<#assign action = "team-save" />
<#assign teamName = "" />
<#assign teamHide = false />
<#if (team?has_content)>
  <#assign teamName = team.name />
  <#assign teamHide = team.hide />
  <#assign action = "team-update" />
</#if>

<@docStart title="Edit Team" />
  <@s.actionerror />
  <form action="${action}" method="POST">
    <table>
      <#if (id?has_content)>
        <input type="hidden" name="id" value="${id}" />
      </#if>
      
      <@s.textfield name="teamName" value=teamName label="Team name" />
      <@s.checkbox name="teamHide" value=teamHide label="Hide team" />
      <@s.submit name="Submit" />
    </table>
  </form>
  
  <p class="back">
    <a href="admin">Back to Admin</a>
  </p>
<@docEnd />
