CREATE  TABLE IF NOT EXISTS `Sprinter`.`Teams` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `name` VARCHAR(100) NOT NULL ,
  `hide` BIT NOT NULL ,
  PRIMARY KEY (`id`) );

CREATE  TABLE IF NOT EXISTS `Sprinter`.`Developers` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `name` VARCHAR(100) NOT NULL ,
  `defaultTeamId` INT NULL ,
  `defaultDiscount` INT NULL ,
  PRIMARY KEY (`id`) );

CREATE  TABLE IF NOT EXISTS `Sprinter`.`Sprints` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `name` VARCHAR(100) NOT NULL ,
  `sequence` INT NOT NULL ,
  PRIMARY KEY (`id`) );

CREATE  TABLE IF NOT EXISTS `Sprinter`.`SprintTeams` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `sprintId` INT NOT NULL ,
  `teamId` INT NOT NULL ,
  PRIMARY KEY (`id`) );

CREATE  TABLE IF NOT EXISTS `Sprinter`.`SprintTeamDevelopers` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `sprintTeamId` INT NOT NULL ,
  `developerId` INT NOT NULL ,
  PRIMARY KEY (`id`) );

CREATE  TABLE IF NOT EXISTS `Sprinter`.`SprintTeamDevelopers` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `sprintId` INT NOT NULL ,
  `teamId` INT NOT NULL ,
  `sprintTeamId` INT NOT NULL ,
  `plannedPoints` INT NOT NULL ,
  `completedPoints` INT NOT NULL ,
  `developerDays` DECIMAL(10,2) NOT NULL ,
  `plannedStories` INT NOT NULL ,
  `completedStories` INT NOT NULL ,
  PRIMARY KEY (`id`) );
