package com.hubspot.sprinter;

import com.hubspot.utils.HubSpotIdentifiableObject;

/**
 * Represents a specific sprint like 25a or 26b.
 * 
 * @author dabdinoor
 */
public class Sprint extends HubSpotIdentifiableObject {
    /** The name of the sprint. */
    private String name;

    /** The sequence of sprints. */
    private Integer sequence;

    /** The default number of days in this sprint. */
    private Double defaultDays;

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name
     *            the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the sequence
     */
    public Integer getSequence() {
        return sequence;
    }

    /**
     * @param sequence
     *            the sequence to set
     */
    public void setSequence(Integer sequence) {
        this.sequence = sequence;
    }

    /**
     * @return the defaultDays
     */
    public Double getDefaultDays() {
        return defaultDays;
    }

    /**
     * @param defaultDays
     *            the defaultDays to set
     */
    public void setDefaultDays(Double defaultDays) {
        this.defaultDays = defaultDays;
    }
}
