package com.hubspot.sprinter.web;

import java.util.List;

import com.hubspot.sprinter.ManagerUtils;
import com.hubspot.sprinter.Team;

/**
 * Backs the sprint hub.
 * 
 * @author dabdinoor
 */
public class SprintHubAction extends BaseAction {
    /** The list of all teams to display. */
    private List<Team> teams;

    @Override
    public String execute() throws Exception {
        return SUCCESS;
    }

    /**
     * @return the teams
     */
    public List<Team> getTeams() {
        if (teams == null) {
            teams = ManagerUtils.getTeamManager().list(false);
        }
        return teams;
    }
}
