<#-- HTML output macros -->

<#macro docType>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
</#macro>

<#macro docStart title="Give me a title ;)">
<@docType />
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    <title>Sprinter | ${title}</title>
    <link href="${HubSpotConstants.getStaticServer()}/sprinter/sprinter.css" rel="stylesheet" type="text/css" />
    <#nested>
  </head>
  <body>
    <@navigation />
    <div class="content">
      <h1>${title}</h1>
</#macro>

<#macro navigation>
  <div id="nav">
    <a class="home" href="hub"><img src="${HubSpotConstants.getStaticServer()}/sprinter/sprinter-logo.png" /></a>
    <a class="admin" href="admin">admin</a>
  </div>
</#macro>

<#macro docEnd>
      </div><!--end div.content-->
      <script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/1.4.2/jquery.min.js"></script>
      <script type="text/javascript" src="${HubSpotConstants.getStaticServer()}/sprinter/sprinter.js"></script>
    </body>
  </html>
</#macro>

<#macro actionErrorsAndMessages>
  <div style="color: red;"><@s.actionerror /><br /><@s.fielderror /></div>
  <div style="color: green;"><@s.actionmessage /></div>
</#macro>
