<#include "htmlMacros.ftl" />

<#assign action = "sprint-save" />
<#assign sprintName = "" />
<#assign sequence = "" />
<#if (sprint?has_content)>
  <#assign sprintName = sprint.name />
  <#assign sequence = sprint.sequence />
  <#assign action = "sprint-update" />
</#if>

<@docStart title="Edit Sprint" />
  <@s.actionerror />
  <form action="${action}" method="POST">
    <table>
      <#if (id?has_content)>
        <input type="hidden" name="id" value="${id}" />
      </#if>
      
      <@s.textfield name="sprintName" value=sprintName label="Sprint name" />
      <@s.textfield name="sequence" value=sequence label="Sequence of sprint" />
      <@s.textfield name="defaultDays" value=defaultDays label="Default days in sprint" />
      
      <@s.submit name="Submit" />
    </table>
  </form>
  
  <p class="back">
    <a href="admin">Back to Admin</a>
  </p>
<@docEnd />
