<#include "htmlMacros.ftl" />
<#setting number_format="0.##">
<#assign realTotal = 0.0 />

<#assign developerDays = days />
<#if (sprintTeamStats.developerDays > 0)>
  <#assign developerDays = sprintTeamStats.developerDays />
</#if>

<@docStart title="${sprintTeamStats.sprint.name} ${sprintTeamStats.team.name} Stats" />
  <h2>Available</h2>
  <table>
    <tbody>
      <tr>
        <td>Developer days available</td>
        <td>${developerDays}</td>
      </tr>
      <tr>
        <td>Story points available</td>
        <td>${points}</td>
      </tr>
    </tbody>
  </table>
  
  
  <@renderForm />
    
  <p class="back">
    <a href="plan?id=${sprintTeamStats.sprintTeam.id?c}">Back to ${sprintTeamStats.sprint.name} ${sprintTeamStats.team.name} Plan</a>
  </p>
<@docEnd />

<#macro renderForm>
  <@s.actionerror />
  <form action="stats-update" method="POST">
    <input type="hidden" name="id" value="${id}" />
    <input type="hidden" name="days" value="${days}" />
    <input type="hidden" name="points" value="${points}" />
    <input type="hidden" name="developerDays" value="${developerDays}" />
    <h2>Story Points</h2>
    <table>
      <@s.textfield name="plannedPoints" value=sprintTeamStats.plannedPoints label="Committed" />
      <@s.textfield name="completedPoints" value=sprintTeamStats.completedPoints label="Completed" />
    </table>
    <h2>Stories</h2>
    <table>
      <@s.textfield name="plannedStories" value=sprintTeamStats.plannedStories label="Committed" />
      <@s.textfield name="completedStories" value=sprintTeamStats.completedStories label="Completed" />
      <@s.submit name="Submit" />
    </table>
  </form>
</#macro>
