<#include "htmlMacros.ftl" />

<@docStart title="${team.name} Sprints" />
  <p><a href="sprint-team-add?id=${id}">Add to Sprint</a></p>
  <@renderList />
  
   <p class="back">
    <a href="hub">Back to Teams</a>
  </p>
<@docEnd />

<#macro renderList>
  <#if !sprintTeams?has_content>
    <p>No sprints, add one?</p>
    <#return />
  </#if>
  
  <table>
    <thead>
      <tr>
        <th>name</th>
      </tr>
    </thead>
    <tbody>
      <#list sprintTeams as sprintTeam>
        <tr>
          <td><a href="plan?id=${sprintTeam.id?c}">${sprintTeam.sprint.name}</a></td>
        </tr>
      </#list>
    </tbody>
  </table>
</#macro>